Wyniki 1 do 9 z 9

Temat: Import bazy danych

  1. #1
    Bywalec
    Dołączył
    16-10-2007
    Wpisy
    155
    Punkty
    9

    Domyślny Import bazy danych

    Próbowałem importować baze. To jest kawałek kodu który skopiowałem z pliku baza.sql. Kiedy inportuje cały plik tez jest problem.
    Kod PHP:
    CREATE TABLE `jos_banner` ( 
      `
    bidint(11NOT NULL auto_increment
      `
    cidint(11NOT NULL default '0'
      `
    typevarchar(10collate utf8_polish_ci NOT NULL
      `
    namevarchar(50collate utf8_polish_ci NOT NULL
      `
    imptotalint(11NOT NULL default '0'
      `
    impmadeint(11NOT NULL default '0'
      `
    clicksint(11NOT NULL default '0'
      `
    imageurlvarchar(100collate utf8_polish_ci NOT NULL
      `
    clickurlvarchar(200collate utf8_polish_ci NOT NULL
      `
    datedatetime default NULL
      `
    showBannertinyint(1NOT NULL default '0'
      `
    checked_outtinyint(1NOT NULL default '0'
      `
    checked_out_timedatetime NOT NULL default '0000-00-00 00:00:00'
      `
    editorvarchar(50collate utf8_polish_ci default NULL
      `
    custombannercodetext collate utf8_polish_ci
      
    PRIMARY KEY  (`bid`), 
      
    KEY `viewbanner` (`showBanner`) 
    ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci AUTO_INCREMENT=7
    i dostaje komunikat
    MySQL zwrócił komunikat:

    #1064 - Something is wrong in your syntax obok 'collate utf8_polish_ci NOT NULL,
    `name` varchar(50) collate u' w linii 4

  2. Pani Reklamowa
    Pani Reklamowa jest aktywna
    Avatar Panny Google

    Dołączył
    19-08-2010
    Skąd
    Internet
    Postów
    milion
    Pochwał
    setki
  3. #2
    Bywalec
    Dołączył
    16-10-2007
    Wpisy
    155
    Punkty
    9

    Domyślny

    Czy problem może byc fakt ze eksporuje z phpMyAdmin - 2.10.3, a importuje w phpMyAdmin 2.6.4-pl3 ?

  4. #3
    Wiarus neo_fox awatar
    Dołączył
    21-09-2006
    Skąd
     neos-mac:~ neo$ /Users/neo/
    Wpisy
    1 360
    Punkty
    63

    Domyślny

    Jaką masz wersję serwera MySQL na tej maszynie na której próbujesz zrobić import ??

  5. #4
    Bywalec
    Dołączył
    16-10-2007
    Wpisy
    155
    Punkty
    9

    Domyślny

    Eksportuje z serwera gdzie ver mysql 5.0.67, a importuje do serwera z ver. 4.0.27

  6. #5
    Wiarus neo_fox awatar
    Dołączył
    21-09-2006
    Skąd
     neos-mac:~ neo$ /Users/neo/
    Wpisy
    1 360
    Punkty
    63

    Domyślny

    Cytat Wysłane przez mbx Zobacz wiadomość
    a importuje do serwera z ver. 4.0.27
    kiepsko widzę przyszłość tej strony. Wspomaganie dla UTF-8 zostało wprowadzone do MySQL dopiero w wersji 4.1.2

    Czytaj: Joomla 1.5 na takim serwerze po prostu nie będzie działać

  7. #6
    Bywalec
    Dołączył
    16-10-2007
    Wpisy
    155
    Punkty
    9

    Domyślny

    To jest joomla_1.0.15. Tzn. że powdem błędu jest złe kodwoanie dla tej wersji ?

  8. #7
    Wiarus neo_fox awatar
    Dołączył
    21-09-2006
    Skąd
     neos-mac:~ neo$ /Users/neo/
    Wpisy
    1 360
    Punkty
    63

    Domyślny

    Cytat Wysłane przez mbx Zobacz wiadomość
    To jest joomla_1.0.15.
    aaaa to inna sprawa.

    Problemem jest kodowanie UTF-8
    Problem jest taki że UTF-8 to najlepszy możliwy wybór więc szkoda byłoby zmieniać na inne. Poza tym to wbrew pozorom nie takie proste.

    Ja bym szczerze polecał update MySQL lub, jeśli się nie da, zmianę dostawcy usług. Ta wersja MySQL jest już baaaaaaaaardzo nieaktualna.

  9. #8
    Bywalec
    Dołączył
    16-10-2007
    Wpisy
    155
    Punkty
    9

    Domyślny

    To jest serwer strefa.pl tez mi sie nie podoba dodatkowo z tego co wiem nie mozna sie połączyć z baza z zew.

  10. #9
    Wiarus neo_fox awatar
    Dołączył
    21-09-2006
    Skąd
     neos-mac:~ neo$ /Users/neo/
    Wpisy
    1 360
    Punkty
    63

    Domyślny

    Cytat Wysłane przez mbx Zobacz wiadomość
    To jest serwer strefa.pl tez mi sie nie podoba dodatkowo z tego co wiem nie mozna sie połączyć z baza z zew.
    Wstydzili by się :eek:

    Nie możesz sobie poszukać lepszego provider'a ?:cool:

Reguły pisania

  • Nie możesz zakładać nowych tematów
  • Nie możesz dodawać wypowiedzi
  • Nie możesz dodawać załączników
  • Nie możesz poprawiać swoich postów
  •